package hmggirlfront.render.tile;


import org.lwjgl.opengl.GL11;
import org.lwjgl.opengl.GL12;

import hmggirlfront.block.tile.TileEntity_Spawn_Boss;
import net.minecraft.client.Minecraft;
import net.minecraft.client.renderer.tileentity.TileEntitySpecialRenderer;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;
import objmodel.AdvancedModelLoader;
import objmodel.IModelCustom;

@SideOnly(Side.CLIENT)
public class TileRender_Spawn_Boss extends TileEntitySpecialRenderer<TileEntity_Spawn_Boss>
{
    private static final ResourceLocation box = new ResourceLocation("hmggirlfront:textures/blocks/model/spanwer_machine.png");
    private static final IModelCustom box_model = AdvancedModelLoader.loadModel(
    		new ResourceLocation("hmggirlfront:textures/blocks/model/spanwer_machine.mqo"));
    
    private ResourceLocation texture;
    private boolean field_147509_j;
    private static final String __OBFID = "CL_00000965";

    public TileRender_Spawn_Boss()
    {
    }

    public void render(TileEntity_Spawn_Boss tile, double x, double y, double z, float partialTicks, int destroyStage, float alpha)
    {
    	Minecraft minecraft = Minecraft.getMinecraft();
    	
        GL11.glPushMatrix();
        GL11.glEnable(GL12.GL_RESCALE_NORMAL);
        GL11.glTranslatef((float)x + 0.5F, (float)y + 0F, (float)z + 0.5F);
        GL11.glRotatef(180.0F, 0.0F, 1.0F, 0.0F);
        this.bindTexture(box);
        box_model.renderPart("mat1");
        GL11.glTranslatef(0F, 1.1F, 0F);
        GL11.glRotatef(minecraft.world.getWorldTime(), 0.0F, 1.0F, 0.0F);
        GL11.glTranslatef(-0F, -1.1F, -0F);
        GL11.glDisable(GL12.GL_RESCALE_NORMAL);
        GL11.glPopMatrix();
        
    }
}